package model

import (
	"time"
)

type AdmLog struct {
	Id       int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	AdmId    int       `json:"adm_id" xorm:"not null default 0 comment('管理员ID') INT(11)"`
	Ip       string    `json:"ip" xorm:"not null default '' comment('IP') VARCHAR(15)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('登陆时间') TIMESTAMP"`
}
