package model

type AdmRolePerms struct {
	Id       int    `json:"id" xorm:"not null pk autoincr comment('ID') INT(10)"`
	Pid      int    `json:"pid" xorm:"not null comment('父ID') INT(10)"`
	Perm     string `json:"perm" xorm:"not null default '' comment('权限匹配名') VARCHAR(128)"`
	PermName string `json:"perm_name" xorm:"not null default '' comment('后台显示名称') VARCHAR(64)"`
	Sort     int    `json:"sort" xorm:"not null default 0 comment('显示排序,越大越前') INT(11)"`
	State    int    `json:"state" xorm:"not null default 1 comment('是否开启') TINYINT(1)"`
}
