package model

type AppRelease struct {
	Id           int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	Version      string `json:"version" xorm:"not null default '' VARCHAR(255)"`
	Os           int    `json:"os" xorm:"comment('系统：1.Android；2.ios') TINYINT(1)"`
	Memo         string `json:"memo" xorm:"TEXT"`
	Src          string `json:"src" xorm:"VARCHAR(255)"`
	CreatedAt    int    `json:"created_at" xorm:"INT(11)"`
	State        int    `json:"state" xorm:"not null default 1 comment('版本状态：0关 1开') TINYINT(1)"`
	UpdateNotice int    `json:"update_notice" xorm:"not null default 1 comment('更新提醒：0关 1开') TINYINT(1)"`
	YybUrl       string `json:"yyb_url" xorm:"comment('应用宝url') VARCHAR(255)"`
	ForceUpdate  int    `json:"force_update" xorm:"comment('强制更新（安卓）') TINYINT(1)"`
}
