package model

type ArticleCate struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid       int    `json:"pid" xorm:"default 0 comment('上级，0表示文章类型') INT(11)"`
	Name      string `json:"name" xorm:"not null default '' VARCHAR(255)"`
	IsShow    int    `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	CreatedAt int    `json:"created_at" xorm:"INT(11)"`
	UpdatedAt int    `json:"updated_at" xorm:"INT(11)"`
}
