package model

import (
	"time"
)

type BusinessCollegeOrd struct {
	Id         int64     `json:"id" xorm:"pk comment('订单id') BIGINT(22)"`
	Uid        int       `json:"uid" xorm:"not null default 0 comment('uid') INT(10)"`
	ModId      int       `json:"mod_id" xorm:"not null default 0 comment('模块ID') INT(10)"`
	PayAmount  string    `json:"pay_amount" xorm:"not null default 0 comment('付费金额') DECIMAL(2)"`
	PayChannel int       `json:"pay_channel" xorm:"not null default 0 comment('1:支付宝,2:微信,3:余额') TINYINT(1)"`
	State      int       `json:"state" xorm:"not null default 0 comment('支付状态:0未支付1已支付') TINYINT(1)"`
	CreateAt   time.Time `json:"create_at" xorm:"created"`
}
