package model

type ChannelActivity struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Img         string `json:"img" xorm:"default '' comment('图片') VARCHAR(255)"`
	Sort        int    `json:"sort" xorm:"default 0 comment('排序') INT(5)"`
	IsUse       int    `json:"is_use" xorm:"default 0 comment('是否使用') INT(1)"`
	Source      string `json:"source" xorm:"default '' comment('来源 淘宝=>tb 京东=>jd 拼多多=>pdd 唯品会=>wph 苏宁易购=>snyg 考拉=>kaola') VARCHAR(50)"`
	IsRecommend int    `json:"is_recommend" xorm:"default 0 comment('是否官方推荐') INT(1)"`
	StartTime   int    `json:"start_time" xorm:"default 0 comment('开始时间') INT(11)"`
	EndTime     int    `json:"end_time" xorm:"default 0 comment('结束时间') INT(11)"`
	ActivityId  string `json:"activity_id" xorm:"default '' comment('活动id') VARCHAR(100)"`
	Url         string `json:"url" xorm:"comment('活动链接') TEXT"`
	Name        string `json:"name" xorm:"default '' comment('名称') VARCHAR(255)"`
}
