package model

type DuomaiMallBrand struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ThirdId   int    `json:"third_id" xorm:"not null default 0 comment('三方平台ID') INT(11)"`
	Name      string `json:"name" xorm:"not null default '' comment('品牌名称') VARCHAR(255)"`
	SubName   string `json:"sub_name" xorm:"not null default '' comment('品牌副标题') VARCHAR(255)"`
	Logo      string `json:"logo" xorm:"not null default '' comment('品牌logo') VARCHAR(255)"`
	Url       string `json:"url" xorm:"not null default '' comment('商城地址') VARCHAR(255)"`
	CommRate  string `json:"comm_rate" xorm:"not null default '' comment('返利比例') VARCHAR(255)"`
	CateId    int    `json:"cate_id" xorm:"not null default 0 comment('分类ID') INT(11)"`
	Desc      string `json:"desc" xorm:"not null comment('商城简介') TEXT"`
	Detail    string `json:"detail" xorm:"not null comment('商城详情') TEXT"`
	Data      string `json:"data" xorm:"not null comment('商城详情') TEXT"`
	IsShow    int    `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	Sort      int    `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	CreatedAt int    `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	DeletedAt int    `json:"deleted_at" xorm:"not null default 0 INT(11)"`
	Tags      string `json:"tags" xorm:"not null comment('标签，“，”号分割') TEXT"`
	CommList  string `json:"comm_list" xorm:"comment('分佣列表') TEXT"`
}
