package model

import "time"

type PlanCommission struct {
	Id       int       `json:"id" xorm:"not null pk autoincr comment('分佣方案ID,现在只允许1,2') INT(10)"`
	PlanName string    `json:"plan_name" xorm:"not null default '' comment('方案名称') VARCHAR(64)"`
	Memo     string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(256)"`
	Mode     string    `json:"mode" xorm:"not null default '' comment('模式,lv_all级差按总佣金,lv_self级差按自购') VARCHAR(16)"`
	Data     string    `json:"data" xorm:"not null default '' comment('里面包含等级分配方案数据') VARCHAR(3000)"`
	UpdateAt time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
}
