package model

type PrivilegeCardGoodsCate struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name      string `json:"name" xorm:"not null default '' comment('商品分类名称') VARCHAR(255)"`
	IsShow    int    `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	Sort      int    `json:"sort" xorm:"default 0 comment('排序') INT(11)"`
	BrandId   int    `json:"brand_id" xorm:"not null default 0 comment('从属品牌ID') INT(11)"`
	Amount    int    `json:"amount" xorm:"default 0 comment('商品数量') INT(11)"`
	CreatedAt int    `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	DeletedAt int    `json:"deleted_at" xorm:"not null default 0 INT(11)"`
}
