package model

type RedirectInfo struct {
	Id         int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Host       string `json:"host" xorm:"not null default '' VARCHAR(255)"`
	PreHost    string `json:"pre_host" xorm:"not null default '' VARCHAR(255)"`
	InviteCode string `json:"invite_code" xorm:"not null default '' VARCHAR(255)"`
	Appid      string `json:"appid" xorm:"not null default '' VARCHAR(255)"`
	Unionid    string `json:"unionid" xorm:"not null default '' VARCHAR(255)"`
	Openid     string `json:"openid" xorm:"not null default '' VARCHAR(255)"`
	Headimgurl string `json:"headimgurl" xorm:"not null default '' VARCHAR(255)"`
	Nickname   string `json:"nickname" xorm:"not null default '' VARCHAR(2550)"`
	CreateAt   int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	UpdateAt   int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	Sex        int    `json:"sex" xorm:"not null default 0 INT(1)"`
}
