package model

import (
	"time"
)

type SearchFilter struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name      string    `json:"name" xorm:"not null default '' VARCHAR(64)"`
	FilterKey string    `json:"filter_key" xorm:"not null TEXT"`
	Memo      string    `json:"memo" xorm:"not null default '' VARCHAR(256)"`
	CreateAt  time.Time `json:"create_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
	UpdateAt  time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' TIMESTAMP"`
}
