package model

type SysCategory struct {
	Cid         int    `json:"cid" xorm:"not null pk autoincr comment('分类ID') INT(10)"`
	Pid         int    `json:"pid" xorm:"not null default 0 comment('父分类ID') index INT(10)"`
	ProviderCid int    `json:"provider_cid" xorm:"not null default 0 comment('供应商分类ID') INT(10)"`
	Provider    string `json:"provider" xorm:"not null default '' comment('供应商名,sys为首页分类,taobao,jd,pdd,vip,suning,kaola') VARCHAR(16)"`
	Title       string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(64)"`
	Icon        string `json:"icon" xorm:"not null default '' comment('图标') VARCHAR(2000)"`
	Sort        int    `json:"sort,omitempty" xorm:"not null default 0 comment('排序,越大越前') INT(10)"`
	State       int    `json:"state,omitempty" xorm:"default 1 comment('0隐藏,1显示') TINYINT(1)"`
}
