package md

type MultiNav struct {
	CateName string `json:"cate_name"`
	CateTag  string `json:"cate_tag"`
	Data     struct {
		Url            string      `json:"url"`
		AppId          string      `json:"app_id"`
		ActivityId     string      `json:"activity_id"`
		Id             string      `json:"id"`
		AdName         string      `json:"ad_name"`
		AndroidAdID    string      `json:"android_ad_id"`
		AndroidMediaID string      `json:"android_media_id"`
		AutoClickAd    string      `json:"auto_click_ad"`
		Autoplay       string      `json:"autoplay"`
		BrandID        string      `json:"brand_id"`
		Conditions     string      `json:"conditions"`
		CreateAt       string      `json:"create_at"`
		EndTime        string      `json:"end_time"`
		Img            string      `json:"img"`
		IosAdID        string      `json:"ios_ad_id"`
		IosMediaID     string      `json:"ios_media_id"`
		IsRecommend    interface{} `json:"is_recommend"`
		LevelLimitID   string      `json:"level_limit_id"`
		LevelLimitName string      `json:"level_limit_name"`
		LevelWeight    string      `json:"level_weight"`
		NeedLocation   int64       `json:"need_location"`
		SdkType        string      `json:"sdk_type"`
		SourceType     string      `json:"source_type"`
		StartTime      string      `json:"start_time"`
		UpdateAt       string      `json:"update_at"`
		VisitCount     string      `json:"visit_count"`
	} `json:"data"`
	ID                 string `json:"id"`
	Img                string `json:"img"`
	ImgURL             string `json:"img_url"`
	Index              int64  `json:"index"`
	IsEnd              string `json:"is_end"`
	IsJump             string `json:"is_jump"`
	Name               string `json:"name"`
	RequiredLogin      string `json:"required_login"`
	RequiredTaobaoAuth string `json:"required_taobao_auth"`
	RightIcon          string `json:"right_icon"`
	RightIconURL       string `json:"right_icon_url"`
	SkipIdentifier     string `json:"skip_identifier"`
	SkipName           string `json:"skip_name"`
	SubTitle           string `json:"sub_title"`
	Title              string `json:"title"`
	TypeListKey        string `json:"type_list_key"`
	URL                string `json:"url"`
}
