package md

//UserProfileResponse is userprofile response
type UserProfileResponse struct {
	UserName       string                        `json:"username"`
	Avatar         string                        `json:"avatar"`
	InviteCode     string                        `json:"InviteCode"`
	UserLvName     string                        `json:"user_lv_name"`
	UserLvIcon     string                        `json:"user_lv_icon"`
	IsTaobaoAuth   bool                          `json:"is_taobao_auth"`
	IsWxTaobaoAuth bool                          `json:"is_wx_taobao_auth"`
	GridViews      []UserProfileResponseGridView `json:"grid_views"`
}

//UserProfileResponseGridView is for UserProfileResponse
type UserProfileResponseGridView struct {
	Name  string `json:"name"`
	Value string `json:"value"`
}
