package hdl

import (
	"applet/app/e"
	"applet/app/pay/svc"
	"github.com/gin-gonic/gin"
)

// PayStatus 整合所有支付状态
func PayStatus(c *gin.Context) {
	orderType := c.Param("orderType")
	//payMethod := c.Param("payMethod")
	if orderType == "" {
		e.OutErr(c, e.ERR_INVALID_ARGS)
		return
	}
	r, ok := svc.PayStatusFuncList[orderType]
	if !ok {
		e.OutErr(c, e.ERR, e.NewErr(500, "不存在该支付方式"))
		return
	}
	e.OutSuc(c, r, nil)
	return
}
