package model

import (
	"time"
)

type ArticleWatchLog struct {
	Id        int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	ArticleId int64     `json:"article_id" xorm:"not null default 0 comment('文章ID') unique(IDX_LOG) BIGINT(20)"`
	Uid       int       `json:"uid" xorm:"not null default 0 comment('用户ID') unique(IDX_LOG) INT(10)"`
	CreatedAt time.Time `json:"created_at" xorm:"created"`
}
