package model

type FinSysLog struct {
	Id         int64   `json:"id" xorm:"pk autoincr BIGINT(20)"`
	FromUid    int     `json:"from_uid" xorm:"not null default 0 comment('来自于用户') INT(11)"`
	FromSource int     `json:"from_source" xorm:"not null default 0 comment('来源') TINYINT(4)"`
	Amount     float32 `json:"amount" xorm:"not null default 0.0000 comment('金额') FLOAT(12,4)"`
	Memo       string  `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(50)"`
	CreateAt   int     `json:"create_at" xorm:"not null default 0 comment('创建时间') INT(11)"`
}
