package model

type FinUserCommissionLog struct {
	Id            int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid           int    `json:"uid" xorm:"not null INT(10)"`
	Oid           string `json:"oid" xorm:"not null default '' comment('订单ID') VARCHAR(50)"`
	OrderType     int    `json:"order_type" xorm:"not null default 0 comment('0自购,1分享') TINYINT(1)"`
	OrderProvider string `json:"order_provider" xorm:"not null default '' comment('订单供应商') VARCHAR(32)"`
}
