package model

type MomentsCate struct {
	Id        int            `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid       int            `json:"pid" xorm:"not null default 0 comment('上级，0表示一级分类') INT(11)"`
	Name      string         `json:"name" xorm:"not null default '' comment('分类名称') VARCHAR(255)"`
	IsShow    int            `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	TypeId    int            `json:"type_id" xorm:"not null default 0 comment('类型') TINYINT(10)"`
	Data      string         `json:"data" xorm:"not null default '' comment('保存不同类型定义的设置数据') VARCHAR(255)"`
	CreatedAt int            `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt int            `json:"updated_at" xorm:"not null default 0 INT(11)"`
	DeletedAt int            `json:"deleted_at" xorm:"not null default 0 INT(11)"`
	Child     *[]MomentsCate `json:"child"`
}
