package model

type MomentsMaterial struct {
	Id        int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid       int    `json:"pid" xorm:"not null default 0 comment('分类ID') INT(11)"`
	CateId    int    `json:"cate_id" xorm:"not null default 0 comment('子分类') INT(11)"`
	TypeId    int    `json:"type_id" xorm:"not null default 0 comment('类型ID') INT(11)"`
	Data      string `json:"data" xorm:"not null comment('素材详情json') TEXT"`
	IsShow    int    `json:"is_show" xorm:"not null default 1 comment('是否显示：0不显示；1显示') TINYINT(1)"`
	CreatedAt int    `json:"created_at" xorm:"comment('创建时间') INT(11)"`
	UpdatedAt int    `json:"updated_at" xorm:"comment('更新时间') INT(11)"`
	DeletedAt int    `json:"deleted_at" xorm:"not null default 0 INT(11)"`
}
