package model

type NewcomersQualification struct {
	Id              int `json:"id" xorm:"not null pk autoincr INT(10)"`
	Uid             int `json:"uid" xorm:"not null default 0 comment('用户ID') INT(10)"`
	RemainTimes     int `json:"remain_times" xorm:"not null default 0 comment('剩余次数') INT(11)"`
	CumulativeTimes int `json:"cumulative_times" xorm:"not null default 0 comment('累计次数') INT(11)"`
	CreatedAt       int `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt       int `json:"updated_at" xorm:"not null default 0 INT(11)"`
}
