package model

import (
	"time"
)

type PlanSettle struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(10)"`
	PlanName        string    `json:"plan_name" xorm:"not null default '' comment('方案名称') VARCHAR(128)"`
	Memo            string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(512)"`
	SettleMode      int       `json:"settle_mode" xorm:"not null default 0 comment('0组合条件,1固定条件') TINYINT(1)"`
	SettleCondition string    `json:"settle_condition" xorm:"comment('当组合时候存json,固定存数字（组合条件时settleTime为0时是立即结算）') TEXT"`
	UpdateTime      time.Time `json:"update_time" xorm:"default CURRENT_TIMESTAMP TIMESTAMP"`
}
