package model

type PrivilegeCardBrand struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ZhimengId   int    `json:"zhimeng_id" xorm:"not null default 0 comment('智盟ID') INT(11)"`
	ThirdId     int    `json:"third_id" xorm:"not null default 0 comment('三方平台ID') INT(11)"`
	Name        string `json:"name" xorm:"not null default '' comment('品牌名称') VARCHAR(255)"`
	SubName     string `json:"sub_name" xorm:"not null default '' comment('品牌副标题') VARCHAR(255)"`
	Logo        string `json:"logo" xorm:"not null default '' comment('品牌logo') VARCHAR(255)"`
	CateId      int    `json:"cate_id" xorm:"not null default 0 comment('分类ID') INT(11)"`
	Type        string `json:"type" xorm:"not null default '' comment('类型') VARCHAR(255)"`
	TypeId      string `json:"type_id" xorm:"not null default '' comment('类型id') VARCHAR(255)"`
	AccountType string `json:"account_type" xorm:"comment('账号类型') VARCHAR(255)"`
	Remark      string `json:"remark" xorm:"not null comment('温馨提示') TEXT"`
	IsShow      int    `json:"is_show" xorm:"not null default 1 comment('是否显示') TINYINT(1)"`
	Sort        int    `json:"sort" xorm:"default 0 comment('排序') INT(11)"`
	CreatedAt   int    `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt   int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	DeletedAt   int    `json:"deleted_at" xorm:"not null default 0 INT(11)"`
	Skip        string `json:"skip" xorm:"comment('跳转信息') TEXT"`
}
