package model

type SearchBase struct {
	Id             int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pvd            string `json:"pvd" xorm:"not null default '' VARCHAR(64)"`
	AppFilterId    string `json:"app_filter_id" xorm:"not null comment('app过滤词模板search_filter id') TEXT"`
	AppletFilterId string `json:"applet_filter_id" xorm:"not null comment('小程序过滤词模板search_filter id') TEXT"`
	ConditionId    int    `json:"condition_id" xorm:"not null default 0 comment('搜索模板 search_condition id') INT(11)"`
	Type           string `json:"type" xorm:"not null default '' comment('默认商品搜索类型') VARCHAR(64)"`
}
