package model

import (
	"time"
)

type UserLog struct {
	Id       int64     `json:"id" xorm:"pk BIGINT(20)"`
	Uid      int       `json:"uid" xorm:"not null default 0 comment('用户ID') INT(11)"`
	Ip       string    `json:"ip" xorm:"not null default '' comment('ip') VARCHAR(15)"`
	Platform string    `json:"platform" xorm:"not null default '' comment('平台') VARCHAR(32)"`
	Device   string    `json:"device" xorm:"not null default '' comment('设备') VARCHAR(64)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
}
