package md

const (
	PVD_TB  = "taobao"
	PVD_JD  = "jd"
	PVD_SN  = "suning"
	PVD_VIP = "vip"
	PVD_PDD = "pdd"
	PVD_KL  = "kaola"
	PVD_TM  = "tmall"
	PVD_DTK = "dataoke"
	PVD_HDK = "haodanku"
	PVD_JTT = "jingtuitui"
	// 特殊活动免单方案
	PVD_FREE               = "free"
	PVD_MEITUAN            = "meituan"
	PVD_OILSTATION         = "oil"
	PVD_KFC                = "kfc"
	PVD_CINEMA             = "cinema"
	PVD_CREDIT_CARD        = "credit_card"
	PVD_CARD_REFUND        = "card_refund"         //权益卡退款
	PVD_CARD               = "privilege_card"      //权益卡
	PVD_USER_LV_UP         = "userlvup"            //会员费用
	PVD_OPEN_CARD          = "privilege_open_card" // 权益卡开卡
	PVD_DUOMAI             = "duomai"              // 多麦
	PVD_GUIDE              = "GUIDE"               //导购
	PVD_SELF_MALL          = "SELF_MALL"           //自营
	PVD_O2O                = "O2O"                 //O2O
	PVD_REGIONAL_AGENT_PAY = "regional_agent_pay"  //O2O
	PVD_COMMON             = "COMMON"              //COMMON
)

var PVD_LIST = map[string]string{
	PVD_TB:          "淘宝",
	PVD_JD:          "京东",
	PVD_SN:          "苏宁",
	PVD_VIP:         "唯品会",
	PVD_PDD:         "拼多多",
	PVD_KL:          "考拉",
	PVD_CREDIT_CARD: "信用卡",
	PVD_TM:          "天猫",
	PVD_USER_LV_UP:  "会员升级",
	PVD_CARD_REFUND: "权益卡退款",
	PVD_CARD:        "权益卡",
	PVD_MEITUAN:     "美团",
	PVD_OILSTATION:  "加油",
	PVD_KFC:         "肯德基",
	PVD_CINEMA:      "电影票",
	"ele":           "饿了么",
	"user_lv_up":    "会员升级",
}

var PVD_LIST_ICON = map[string]string{
	PVD_TB:  "provider-square-icon-taobao.png",
	PVD_JD:  "provider-square-icon-jd.png",
	PVD_SN:  "provider-square-icon-suning.png",
	PVD_VIP: "provider-square-icon-vip.png",
	PVD_PDD: "provider-square-icon-pdd.png",
	PVD_KL:  "provider-square-icon-kaola.png",
}

var ZHIMENG_CFG_LIST = []string{KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_WEB_ID}

var PVD_CFG_LIST = map[string][]string{
	PVD_TB: {
		"third_taobao_sid",
		"third_taobao_web_ak",
		"third_taobao_web_sk",
		"third_taobao_svc_ak",
		"third_taobao_svc_sk",
		"third_taobao_svc_sid",
		// 推广位
		"third_taobao_share_inviter_code",
		"third_taobao_share_pid_android",
		"third_taobao_share_pid_ios",
		"third_taobao_share_pid_web",
		// 推广位
		"third_taobao_self_inviter_code",
		"third_taobao_self_pid_android",
		"third_taobao_self_pid_ios",
		"third_taobao_self_pid_web",
	},
	PVD_JD:         {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_VIP:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_PDD:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_JD_SITE_ID, KEY_CFG_ZM_WEB_ID},
	PVD_SN:         {KEY_CFG_SN_AK, KEY_CFG_SN_SK},
	PVD_KL:         {KEY_CFG_KL_AK, KEY_CFG_KL_SK},
	PVD_MEITUAN:    {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_OILSTATION: {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_KFC:        {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
	PVD_CINEMA:     {KEY_CFG_ZM_AK, KEY_CFG_ZM_SK, KEY_CFG_ZM_SMS_AK, KEY_CFG_ZM_SMS_SK, KEY_CFG_ZM_WEB_ID},
}
