package md

// 淘口令

type SmartyCustomer struct {
	OfficialTel           interface{} `json:"official_tel"`
	OfficialQq            interface{} `json:"official_qq"`
	OfficialWx            interface{} `json:"official_wx"`
	ContactCustomerButton interface{} `json:"contact_customer_button"`
	HintLanguage          string      `json:"hint_language"`
}

type MallInfo struct {
	Name string `json:"name"`
	Desc string `json:"desc"`
}

type ResponseCustomerDetail struct {
	SmartyCustomer
	MallInfo
}

//UserProfileResponse is userprofile response
type UserProfileResponse1 struct {
	UserName       string                        `json:"username"`
	Avatar         string                        `json:"avatar"`
	InviteCode     string                        `json:"InviteCode"`
	UserLvName     string                        `json:"user_lv_name"`
	UserLvIcon     string                        `json:"user_lv_icon"`
	IsTaobaoAuth   bool                          `json:"is_taobao_auth"`
	IsWxTaobaoAuth bool                          `json:"is_wx_taobao_auth"`
	GridViews      []UserProfileResponseGridView1 `json:"grid_views"`
}

//UserProfileResponseGridView is for UserProfileResponse
type UserProfileResponseGridView1 struct {
	Name  string `json:"name"`
	Value string `json:"value"`
}